<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{C7E4B4C1-64D4-45FF-AAFD-C4B9AE216618}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Foo.DataAccessLayer</RootNamespace>
    <AssemblyName>DataAccessLayer</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>MyKeyFile.SNK</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\Target\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\Target\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="nunit.framework, Version=2.4.8.0, Culture=neutral, PublicKeyToken=96d09a1eb7f44a77, processorArchitecture=MSIL" />
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.SqlServerCe, Version=3.5.1.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91, processorArchitecture=MSIL" />
    <Reference Include="System.Data.SqlXml" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="dUserSettings.cs" />
    <Compile Include="dArtifacts.cs" />
    <Compile Include="DataTypes.cs" />
    <Compile Include="Data.cs" />
    <Compile Include="DB.cs" />
    <Compile Include="nUnitTests.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
    <Compile Include="ResourceHelper.cs" />
    <Compile Include="dState.cs" />
    <Compile Include="TestData\TestData.cs" />
    <Compile Include="dVersioningTables.cs" />
    <Compile Include="dWorkspace.cs" />
    <Compile Include="Tests\StressTest.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Sql\Tables\Artifacts.sqlce" />
    <EmbeddedResource Include="Sql\Tables\WorkspaceLinks.sqlce" />
    <EmbeddedResource Include="Sql\Tables\State.sqlce" />
    <EmbeddedResource Include="Sql\Tables\VersioningTables.sqlce" />
    <EmbeddedResource Include="Sql\Tables\Workspaces.sqlce" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="MyKeyFile.SNK" />
    <None Include="TestData\Files\DupFiles1\Albin likes apples.doc" />
    <None Include="TestData\Files\DupFiles1\Book1.xls" />
    <None Include="TestData\Files\DupFiles1\Book1.xlsx" />
    <None Include="TestData\Files\DupFiles1\Book2.xls" />
    <None Include="TestData\Files\DupFiles1\Book2.xlsx" />
    <None Include="TestData\Files\DupFiles1\Book3.xls" />
    <None Include="TestData\Files\DupFiles1\Book4.xls" />
    <None Include="TestData\Files\DupFiles1\Doc1.rtf" />
    <None Include="TestData\Files\DupFiles1\Doc2.rtf" />
    <None Include="TestData\Files\DupFiles1\Document1.docx" />
    <None Include="TestData\Files\DupFiles1\Document2.doc" />
    <None Include="TestData\Files\DupFiles1\Document3.docx" />
    <None Include="TestData\Files\DupFiles1\Document4.doc" />
    <None Include="TestData\Files\DupFiles1\Document5.docx" />
    <None Include="TestData\Files\DupFiles1\Document6.docx" />
    <None Include="TestData\Files\DupFiles1\Document7.docx" />
    <None Include="TestData\Files\DupFiles1\Doris likes apples.doc" />
    <None Include="TestData\Files\DupFiles1\doris.docx" />
    <None Include="TestData\Files\DupFiles1\Doris.xlsx" />
    <None Include="TestData\Files\DupFiles1\doris2.docx" />
    <None Include="TestData\Files\DupFiles1\Drawing1.vsd" />
    <None Include="TestData\Files\DupFiles1\Drawing2.vsd" />
    <None Include="TestData\Files\DupFiles1\Map1.mmap" />
    <None Include="TestData\Files\DupFiles1\Map2.mmap" />
    <None Include="TestData\Files\DupFiles1\New Mindmap1.mm" />
    <None Include="TestData\Files\DupFiles1\New Mindmap2.mm" />
    <None Include="TestData\Files\DupFiles1\Presentation1.ppt" />
    <None Include="TestData\Files\DupFiles1\Presentation2.ppt" />
    <None Include="TestData\Files\DupFiles1\Publication1.pub" />
    <None Include="TestData\Files\DupFiles1\Publication2.pub" />
    <EmbeddedResource Include="Sql\Tables\UserSettings.sqlce" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <None Include="TestData\Files\DupFiles1\DatabaseBills.accdb">
    </None>
    <None Include="TestData\Files\DupFiles1\DatabaseReceits.accdb">
    </None>
    <None Include="TestData\Files\DupFiles2\Albin likes apples.doc" />
    <None Include="TestData\Files\DupFiles2\Book1.xls" />
    <None Include="TestData\Files\DupFiles2\Book1.xlsx" />
    <None Include="TestData\Files\DupFiles2\Book2.xls" />
    <None Include="TestData\Files\DupFiles2\Book2.xlsx" />
    <None Include="TestData\Files\DupFiles2\Book3.xls" />
    <None Include="TestData\Files\DupFiles2\Book4.xls" />
    <None Include="TestData\Files\DupFiles2\Doc1.rtf" />
    <None Include="TestData\Files\DupFiles2\Doc2.rtf" />
    <None Include="TestData\Files\DupFiles2\Document1.docx" />
    <None Include="TestData\Files\DupFiles2\Document2.doc" />
    <None Include="TestData\Files\DupFiles2\Document3.docx" />
    <None Include="TestData\Files\DupFiles2\Document4.doc" />
    <None Include="TestData\Files\DupFiles2\Document5.docx" />
    <None Include="TestData\Files\DupFiles2\Document6.docx" />
    <None Include="TestData\Files\DupFiles2\Document7.docx" />
    <None Include="TestData\Files\DupFiles2\Doris likes apples.doc" />
    <None Include="TestData\Files\DupFiles2\doris.docx" />
    <None Include="TestData\Files\DupFiles2\Doris.xlsx" />
    <None Include="TestData\Files\DupFiles2\doris2.docx" />
    <None Include="TestData\Files\DupFiles2\Drawing1.vsd" />
    <None Include="TestData\Files\DupFiles2\Drawing2.vsd" />
    <None Include="TestData\Files\DupFiles2\Map1.mmap" />
    <None Include="TestData\Files\DupFiles2\Map2.mmap" />
    <None Include="TestData\Files\DupFiles2\New Mindmap1.mm" />
    <None Include="TestData\Files\DupFiles2\New Mindmap2.mm" />
    <None Include="TestData\Files\DupFiles2\Presentation1.ppt" />
    <None Include="TestData\Files\DupFiles2\Presentation2.ppt" />
    <None Include="TestData\Files\DupFiles2\Publication1.pub" />
    <None Include="TestData\Files\DupFiles2\Publication2.pub" />
    <Content Include="TestData\Files\DupFiles1\MoreDefects.TXT" />
    <Content Include="TestData\Files\DupFiles1\OogyKeepInMind.txt" />
    <Content Include="TestData\Files\DupFiles1\textfile1.txt" />
    <None Include="TestData\Files\DupFiles2\DatabaseBills.accdb">
    </None>
    <None Include="TestData\Files\DupFiles2\DatabaseReceits.accdb">
    </None>
    <None Include="TestData\Files\DupFiles3\Albin likes apples.doc" />
    <None Include="TestData\Files\DupFiles3\Book1.xls" />
    <None Include="TestData\Files\DupFiles3\Book1.xlsx" />
    <None Include="TestData\Files\DupFiles3\Book2.xls" />
    <None Include="TestData\Files\DupFiles3\Book2.xlsx" />
    <None Include="TestData\Files\DupFiles3\Book3.xls" />
    <None Include="TestData\Files\DupFiles3\Book4.xls" />
    <None Include="TestData\Files\DupFiles3\Doc1.rtf" />
    <None Include="TestData\Files\DupFiles3\Doc2.rtf" />
    <None Include="TestData\Files\DupFiles3\Document1.docx" />
    <None Include="TestData\Files\DupFiles3\Document2.doc" />
    <None Include="TestData\Files\DupFiles3\Document3.docx" />
    <None Include="TestData\Files\DupFiles3\Document4.doc" />
    <None Include="TestData\Files\DupFiles3\Document5.docx" />
    <None Include="TestData\Files\DupFiles3\Document6.docx" />
    <None Include="TestData\Files\DupFiles3\Document7.docx" />
    <None Include="TestData\Files\DupFiles3\Doris likes apples.doc" />
    <None Include="TestData\Files\DupFiles3\doris.docx" />
    <None Include="TestData\Files\DupFiles3\Doris.xlsx" />
    <None Include="TestData\Files\DupFiles3\doris2.docx" />
    <None Include="TestData\Files\DupFiles3\Drawing1.vsd" />
    <None Include="TestData\Files\DupFiles3\Drawing2.vsd" />
    <None Include="TestData\Files\DupFiles3\Map1.mmap" />
    <None Include="TestData\Files\DupFiles3\Map2.mmap" />
    <None Include="TestData\Files\DupFiles3\New Mindmap1.mm" />
    <None Include="TestData\Files\DupFiles3\New Mindmap2.mm" />
    <None Include="TestData\Files\DupFiles3\Presentation1.ppt" />
    <None Include="TestData\Files\DupFiles3\Presentation2.ppt" />
    <None Include="TestData\Files\DupFiles3\Publication1.pub" />
    <None Include="TestData\Files\DupFiles3\Publication2.pub" />
    <Content Include="TestData\Files\DupFiles2\MoreDefects.TXT" />
    <Content Include="TestData\Files\DupFiles2\OogyKeepInMind.txt" />
    <Content Include="TestData\Files\DupFiles2\textfile1.txt" />
    <None Include="TestData\Files\DupFiles3\DatabaseBills.accdb">
    </None>
    <None Include="TestData\Files\DupFiles3\DatabaseReceits.accdb">
    </None>
    <Content Include="TestData\Files\DupFiles3\MoreDefects.TXT" />
    <Content Include="TestData\Files\DupFiles3\OogyKeepInMind.txt" />
    <Content Include="TestData\Files\DupFiles3\textfile1.txt" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <PropertyGroup>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>